Validate external crypto withdrawal
POST/api/withdrawal/validation/crypto-external
Validates withdrawal to an external crypto destination with currency exchange without creating a transaction.
Request
- application/json
- Body
- Example
Bodyrequired
External crypto withdrawal validation payload.
Src Wallet Id.
USD880390848110Amount.
Possible values: >= 0
10.25Action.
Possible values: [GIVE, GET]
GIVENote.
Possible values: <= 255 characters
Sandbox transfer noteDest Currency.
Possible values: [BTC, ETH, SOL, TRX, XRP, TON, LTC, AVAX, BNB, POL, USDT, USDT_BEP20, USDT_ERC20, USDT_TRC20, USDT_SOL, USDT_AVAXC, USDT_POL, USDT_OP, USDT_ARB, USDT_TON, USDC, USDC_ERC20, USDC_BEP20, USDC_ARB, USDC_OP, USDC_POL, USDC_AVAXC, USDC_SOL]
USDaddress objectrequired
Merchant Crypto Address schema.
Address.
test-valueMemo.
test-valuereceiverInfo object
Merchant Receiver Info schema.
First Name.
Possible values: <= 30 characters
LeoLast Name.
Possible values: <= 30 characters
PeoDate Of Birth.
30/01/1991Company Name.
Possible values: >= 3 characters and <= 100 characters
PotterCompanySrc Currency.
Possible values: [USD, EUR, USDT, USDC, BTC, ETH, SOL, TRX, XRP, TON, LTC]
USD{
"srcWalletId": "USD880390848110",
"amount": 10.25,
"action": "GIVE",
"note": "Sandbox transfer note",
"destCurrency": "BTC",
"address": {
"address": "TLxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx",
"memo": null
},
"receiverInfo": {
"firstName": "Leo",
"lastName": "Peo",
},
"srcCurrency": "USD"
}
Responses
- 200
- 400
- 401
- 404
- 500
OK
Bad request. The request is malformed or contains invalid parameters.
- application/json
- Schema
- Example
Schema
- Array [
- ]
Response status.
Possible values: [error]
errordata objectrequired
Error response payload.
errors object[]required
List of errors returned for the request.
Stable machine-readable error code.
disabledError category.
FORMShort unique error identifier for support and logs.
errTest1234Human-readable error description.
REQUESTED OPERATION IS DISABLED FOR THE MERCHANT APIRequest field related to the error, if any.
nullAdditional error parameters.
Request parameters captured for diagnostics.
{
"status": "error",
"data": {
"errors": [
{
"errorMessage": "disabled",
"errorType": "FORM",
"errorId": "errTest1234",
"errorDescription": "REQUESTED OPERATION IS DISABLED FOR THE MERCHANT API",
"errorField": null,
"params": [],
"requestParams": {}
}
]
}
}
Unauthorized. Merchant authentication headers are missing or invalid.
- application/json
- Schema
- Example
Schema
- Array [
- ]
Response status.
Possible values: [error]
errordata objectrequired
Error response payload.
errors object[]required
List of errors returned for the request.
Stable machine-readable error code.
userDoesNotExistExceptionError category.
GENERALShort unique error identifier for support and logs.
errTest1234Human-readable error description.
NOT FOUND API WITH ACCOUNT_EMAIL: [email protected]Request field related to the error, if any.
nullAdditional error parameters.
Request parameters captured for diagnostics.
{
"status": "error",
"data": {
"errors": [
{
"errorMessage": "userDoesNotExistException",
"errorType": "GENERAL",
"errorId": "errTest1234",
"errorField": null,
"params": [],
"requestParams": {}
}
]
}
}
Not found. The requested resource does not exist.
- application/json
- Schema
- Example
Schema
- Array [
- ]
Response status.
Possible values: [error]
errordata objectrequired
Error response payload.
errors object[]required
List of errors returned for the request.
Stable machine-readable error code.
resourceNotFoundError category.
GENERALShort unique error identifier for support and logs.
errTest1234Human-readable error description.
Resource not foundRequest field related to the error, if any.
nullAdditional error parameters.
Request parameters captured for diagnostics.
{
"status": "error",
"data": {
"errors": [
{
"errorMessage": "resourceNotFound",
"errorType": "GENERAL",
"errorId": "errTest1234",
"errorDescription": "Resource not found",
"errorField": null,
"params": [],
"requestParams": {}
}
]
}
}
Internal server error. Unexpected error please contact support
- application/json
- Schema
- Example
Schema
- Array [
- ]
Response status.
Possible values: [error]
errordata objectrequired
Error response payload.
errors object[]required
List of errors returned for the request.
Stable machine-readable error code.
internalServerErrorError category.
GENERALShort unique error identifier for support and logs.
errTest1234Human-readable error description.
Internal server errorRequest field related to the error, if any.
nullAdditional error parameters.
Request parameters captured for diagnostics.
{
"status": "error",
"data": {
"errors": [
{
"errorMessage": "internalServerError",
"errorType": "GENERAL",
"errorId": "errTest1234",
"errorDescription": "Internal server error",
"errorField": null,
"params": [],
"requestParams": {}
}
]
}
}